gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Objects.MenuAttributeIter

Contents

- Exported types
- Methods
  - getName
  - getNext
  - getValue
  - next

Description

`MenuAttributeIter` is an opaque structure type. You must access it using the functions below.

Since: 2.32

Synopsis

- newtype MenuAttributeIter = MenuAttributeIter (ManagedPtr MenuAttributeIter)
- class (GObject o, IsDescendantOf MenuAttributeIter o) => IsMenuAttributeIter o
- toMenuAttributeIter :: (MonadIO m, IsMenuAttributeIter o) => o -> m MenuAttributeIter
- menuAttributeIterGetName :: (HasCallStack, MonadIO m, IsMenuAttributeIter a) => a -> m Text
- menuAttributeIterGetNext :: (HasCallStack, MonadIO m, IsMenuAttributeIter a) => a -> m (Bool, Text, GVariant)
- menuAttributeIterGetValue :: (HasCallStack, MonadIO m, IsMenuAttributeIter a) => a -> m GVariant
- menuAttributeIterNext :: (HasCallStack, MonadIO m, IsMenuAttributeIter a) => a -> m Bool

# Exported types

newtype MenuAttributeIter Source #

Memory-managed wrapper type.

Constructors

MenuAttributeIter (ManagedPtr MenuAttributeIter) |

#### Instances

Instances details

Eq MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter Methods (==) :: MenuAttributeIter -> MenuAttributeIter -> Bool Source # (/=) :: MenuAttributeIter -> MenuAttributeIter -> Bool Source #
GObject MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter
ManagedPtrNewtype MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter Methods toManagedPtr :: MenuAttributeIter -> ManagedPtr MenuAttributeIter Source #
TypedObject MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter Methods glibType :: IO GType Source #
HasParentTypes MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter
IsGValue (Maybe MenuAttributeIter) Source # | Convert `MenuAttributeIter` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.MenuAttributeIter Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MenuAttributeIter -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MenuAttributeIter) Source #
type ParentTypes MenuAttributeIter Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter type ParentTypes MenuAttributeIter = '[Object]

class (GObject o, IsDescendantOf MenuAttributeIter o) => IsMenuAttributeIter o Source #

Type class for types which can be safely cast to `MenuAttributeIter`, for instance with `toMenuAttributeIter`.

#### Instances

Instances details

(GObject o, IsDescendantOf MenuAttributeIter o) => IsMenuAttributeIter o Source # |
Instance details Defined in GI.Gio.Objects.MenuAttributeIter

toMenuAttributeIter :: (MonadIO m, IsMenuAttributeIter o) => o -> m MenuAttributeIter Source #

Cast to `MenuAttributeIter`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, next, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getName, getNext, getProperty, getQdata, getValue.

#### Setters

setData, setDataFull, setProperty.

## getName

menuAttributeIterGetName Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuAttributeIter a) |
=> a | `iter`: a `MenuAttributeIter`
-> m Text | Returns: the name of the attribute

Gets the name of the attribute at the current iterator position, as a string.

The iterator is not advanced.

Since: 2.32

## getNext

menuAttributeIterGetNext Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuAttributeIter a) |
=> a | `iter`: a `MenuAttributeIter`
-> m (Bool, Text, GVariant) | Returns: `True` on success, or `False` if there is no additional attribute

This function combines `menuAttributeIterNext` with `menuAttributeIterGetName` and `menuAttributeIterGetValue`.

First the iterator is advanced to the next (possibly first) attribute. If that fails, then `False` is returned and there are no other effects.

If successful, `name` and `value` are set to the name and value of the attribute that has just been advanced to. At this point, `menuAttributeIterGetName` and `menuAttributeIterGetValue` will return the same values again.

The value returned in `name` remains valid for as long as the iterator remains at the current position. The value returned in `value` must be unreffed using `variantUnref` when it is no longer in use.

Since: 2.32

## getValue

menuAttributeIterGetValue Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuAttributeIter a) |
=> a | `iter`: a `MenuAttributeIter`
-> m GVariant | Returns: the value of the current attribute

Gets the value of the attribute at the current iterator position.

The iterator is not advanced.

Since: 2.32

## next

menuAttributeIterNext Source #

Arguments

:: (HasCallStack, MonadIO m, IsMenuAttributeIter a) |
=> a | `iter`: a `MenuAttributeIter`
-> m Bool | Returns: `True` on success, or `False` when there are no more attributes

Attempts to advance the iterator to the next (possibly first) attribute.

`True` is returned on success, or `False` if there are no more attributes.

You must call this function when you first acquire the iterator to advance it to the first attribute (and determine if the first attribute exists at all).

Since: 2.32